Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.label
Class EMFFormsLabelProviderImpl

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.label.EMFFormsLabelProviderImpl

All Implemented Interfaces:
  EMFFormsLocaleChangeListener, EMFFormsLabelProvider

    public class EMFFormsLabelProviderImpl

extends Object
implements EMFFormsLabelProvider, EMFFormsLocaleChangeListener

Implementation of `EMFFormsLabelProvider`. It provides a label service that delivers the display name and description for a domain model reference and optionally an EObject.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsLabelProviderImpl()`

Method Summary
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDescription(VDomainModelReference domainModelReference)` Returns the description of the referenced domain object.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDescription(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns the description of the referenced domain object resolved for the given root `EObject`.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDisplayName(VDomainModelReference domainModelReference)` Returns the display name of the referenced domain object.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDisplayName(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns the display name of the referenced domain object resolved for the given root `EObject`.
`void` | `notifyLocaleChange()` Notify about a locale change.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsLabelProviderImpl

    public EMFFormsLabelProviderImpl()

Method Detail

### getDisplayName

    public org.eclipse.core.databinding.observable.value.IObservableValue getDisplayName(VDomainModelReference domainModelReference)
                                                                                  throws NoLabelFoundException

  Returns the display name of the referenced domain object.

  Specified by:
    `getDisplayName` in interface `EMFFormsLabelProvider`
  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the domain object
  Returns:
    The display name as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the display name cannot be retrieved
  See Also:
    `EMFFormsLabelProvider.getDisplayName(VDomainModelReference)`

### getDisplayName

    public org.eclipse.core.databinding.observable.value.IObservableValue getDisplayName(VDomainModelReference domainModelReference,
                                                                                         org.eclipse.emf.ecore.EObject rootObject)
                                                                                  throws NoLabelFoundException

  Returns the display name of the referenced domain object resolved for the given root `EObject`.

  Specified by:
    `getDisplayName` in interface `EMFFormsLabelProvider`
  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the domain object
    `rootObject` - The root `EObject` which is used to resolve the given `VDomainModelReference`
  Returns:
    The display name as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the display name cannot be retrieved
  See Also:
    `EMFFormsLabelProvider.getDisplayName(VDomainModelReference,EObject)`

### getDescription

    public org.eclipse.core.databinding.observable.value.IObservableValue getDescription(VDomainModelReference domainModelReference)
                                                                                  throws NoLabelFoundException

  Returns the description of the referenced domain object.

  Specified by:
    `getDescription` in interface `EMFFormsLabelProvider`
  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the model object
  Returns:
    The description as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the description cannot be retrieved
  See Also:
    `EMFFormsLabelProvider.getDescription(VDomainModelReference)`

### getDescription

    public org.eclipse.core.databinding.observable.value.IObservableValue getDescription(VDomainModelReference domainModelReference,
                                                                                         org.eclipse.emf.ecore.EObject rootObject)
                                                                                  throws NoLabelFoundException

  Returns the description of the referenced domain object resolved for the given root `EObject`.

  Specified by:
    `getDescription` in interface `EMFFormsLabelProvider`
  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the model object
    `rootObject` - The root `EObject` which is used to resolve the given `VDomainModelReference`
  Returns:
    The description as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the description cannot be retrieved
  See Also:
    `EMFFormsLabelProvider.getDescription(VDomainModelReference,EObject)`

### notifyLocaleChange

    public void notifyLocaleChange()

  Notify about a locale change.

  Specified by:
    `notifyLocaleChange` in interface `EMFFormsLocaleChangeListener`
  See Also:
    `EMFFormsLocaleChangeListener.notifyLocaleChange()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.